Bug 214591 - [exp-run] x11-servers/xorg-server: Update to 1.18.4
Summary: [exp-run] x11-servers/xorg-server: Update to 1.18.4
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: freebsd-x11 mailing list
URL: https://reviews.freebsd.org/D9436
Keywords:
Depends on: 214593
Blocks:
  Show dependency treegraph
 
Reported: 2016-11-17 00:02 UTC by Matthew Rezny
Modified: 2017-02-17 19:44 UTC (History)
6 users (show)

See Also:
bugzilla: maintainer-feedback? (x11)
swills: exp-run?


Attachments
update x11-servers/xorg-server to 1.18.4 (12.16 KB, patch)
2016-11-17 00:02 UTC, Matthew Rezny
no flags Details | Diff
make nestserver and vfbserver slaves of xorg-server (optional) (3.72 KB, patch)
2016-11-17 00:03 UTC, Matthew Rezny
no flags Details | Diff
update x11-servers/xorg-server to 1.18.4 (16.91 KB, patch)
2016-11-21 22:34 UTC, Matthew Rezny
no flags Details | Diff
update x11-servers/xorg-server to 1.18.4 (19.68 KB, patch)
2016-11-22 06:28 UTC, Matthew Rezny
no flags Details | Diff
update Xorg servers to 1.18.4 (31.35 KB, patch)
2016-11-28 11:34 UTC, Matthew Rezny
no flags Details | Diff
update Xorg servers to 1.18.4 (41.13 KB, patch)
2017-01-18 23:35 UTC, Matthew Rezny
no flags Details | Diff
update Xorg servers to 1.18.4 (42.18 KB, patch)
2017-01-19 17:50 UTC, Matthew Rezny
no flags Details | Diff
update Xorg servers to 1.18.4 (43.68 KB, patch)
2017-01-24 22:52 UTC, Matthew Rezny
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Matthew Rezny freebsd_committer 2016-11-17 00:02:14 UTC
Created attachment 177097 [details]
update x11-servers/xorg-server to 1.18.4

I'm moving the local diffs I've been maintaining for far too long into PRs since the flow to and from the external repo has become too slow with only two partially active members of graphics team remaining. I have tried to incorporate most of the work from the external repo that is ports-ready in my local patches. It is my hope that making the changes available in reasonable chunks and visible in PRs will lead to quicker commit to the ports tree than leaving the updates to languish in an external repo.

This patch is an update of Xorg server to 1.18.4 that has been in progress for a solid year. There were previously reasons to not update Xorg server, such as the Nvidia binary drivers and VNC servers not being compatible, but those blockers were resolved months ago. We had an opportunity to finally catch to current on Xorg server, but we missed that now that 1.19 is released. Since those same compatibility issues with modules will come up again, ther is no reason to rush for the new; we have plenty to gain from 1.19, e.g. much improved Glamor and integrated modesetting driver (an alternative to Intel DDX, which could be the only possible remaining hold up).

The main patch is a straightforward update that includes removal of a couple obsolete patches and the addition of a patch to fix an uninitialized variable. The experimental DRI3 present in the external repo is not included as the kernel DRM is not ready to support DRI3. Also, I have included a second patch which makes xorg-nestserver and xorg-vfbserver slave ports, as they are in the external repo, but application of that to the ports tree is optional; it may be beneficial to be able to update those ahead of xorg-server, but hopefully we can keep all the Xorg ports reasonably up to date including xorg-server.

QA: I have been running xorg-server 1.18.x on multiple 10-STABLE, and now 11-STABLE, amd64 systems with Radeon and Intel hardware since its release a year ago.
Comment 1 Matthew Rezny freebsd_committer 2016-11-17 00:03:23 UTC
Created attachment 177098 [details]
make nestserver and vfbserver slaves of xorg-server (optional)
Comment 2 Mark Dixon 2016-11-20 17:29:28 UTC
Works for me on 11.0R, Nvidia 367.44, Geforce GTX 970
Comment 3 Matthew Rezny freebsd_committer 2016-11-21 22:34:44 UTC
Created attachment 177251 [details]
update x11-servers/xorg-server to 1.18.4

Revise to simplify the patching by eliminating extra patches for specific platforms as those that remain are small and may always be safely applied.

svn mv files/extra-arch-powerpc files/patch-Xserver-hw-xfree86-os-support-bsd-ppc_video.c
svn mv files/extra-arch-sparc64 files/patch-Xserver-hw-xfree86-os-support-bsd-bsd_init.c
Comment 4 Matthew Rezny freebsd_committer 2016-11-22 06:28:33 UTC
Created attachment 177258 [details]
update x11-servers/xorg-server to 1.18.4

After the last revision I noticed that the new patch names, which were following the name of another patch, are not the format used by makepatch. So, revise again to use the correct naming. Also, alphabetize the USE_GL and USE_XORG components to ease future maintenance.

The moves, which appear in the patch as adds and deletes:
svn mv files/extra-arch-powerpc files/patch-hw_xfree86_os-support_bsd_ppc__video.c
svn mv files/extra-arch-sparc64 files/patch-hw_xfree86_os-support_bsd_bsd__init.c
svn mv files/patch-Xserver-hw-xfree86-os-support-bsd-i386_video.c files/patch-hw_xfree86_os-support_bsd_i386__video.c
Comment 5 Matthew Rezny freebsd_committer 2016-11-28 11:34:35 UTC
Created attachment 177480 [details]
update Xorg servers to 1.18.4

I could not help but notice the cruft in the Xorg server ports, so I overhauled them for 1.19, and now I've done the same for 1.18 and refreshed the patch. I got the impression that things were tacked onto USE_XORG when needed, or in all the ports to be sure, but obsolete components were never removed. After this cleanup there is no reason to have separate non-slave ports for any of Xorg server components; it's just much easier to maintain it all as one set.

I went through the configure script and figured out which xorg components are actually needed and which are common requirement, then put as much as possible into the master so the slaves can be simple as they should be; no more duplicate USE_XORG and CONFIGURE_ARGS.

To give an idea how long the cruft has been accumulating, this is a partial list of dates components were disabled by default (and never enabled in our ports, thus clearly not missed) or disconnected from the build entirely.

xf86bigfont extension disabled 2007-09-19
xtrap extension removed 2008-06-25
xf86misc extension removed 2008-07-16
xevie extension removed 2008-11-04
fontenc requirement dropped 2009-08-07

QA: all 5 ports (master + 4 slaves) pass poudriere testport on 11 amd64 and build clean on the 11 amd64 system not yet running 1.19
Comment 6 Matthew Rezny freebsd_committer 2017-01-18 23:35:29 UTC
Created attachment 179056 [details]
update Xorg servers to 1.18.4

I have updated my patch to account for recent commits. The master Makefile was tweaked t allowed slaves to be bumped in version and the ports that were bumped ahead are now version 1.19.1 as slaves. Also, I added a patch to the devd support code which plugs a potential memory leak and corrects an uninitialized variable.
Comment 7 Matthew Rezny freebsd_committer 2017-01-19 17:50:05 UTC
Created attachment 179074 [details]
update Xorg servers to 1.18.4

I've updated the Xorg servers patch to enable DRI3 at build time. It is not enabled at runtime unless all the proper conditions are met. I have tested with both intel and radeon to verify that DRI2 is still working and also verified that radeon can use DRI3.
Comment 8 Matthew Rezny freebsd_committer 2017-01-24 22:52:03 UTC
Created attachment 179293 [details]
update Xorg servers to 1.18.4

I have added one more patch to the set which adjusts the driver autodetection to try modesetting and to try scfb instead of fbdev. The order in which drivers are tried is: specific DDX (according to PCI IDs), modesetting, scfb, vesa (if x86).
Comment 9 Antoine Brodin freebsd_committer 2017-02-11 10:56:31 UTC
Exp-run looks fine on 10.3{i386,amd64} and 11.0{i386,amd64}
Comment 10 commit-hook freebsd_committer 2017-02-11 14:18:50 UTC
A commit references this bug:

Author: rezny
Date: Sat Feb 11 14:18:04 UTC 2017
New revision: 433863
URL: https://svnweb.freebsd.org/changeset/ports/433863

Log:
  Xorg-servers update to 1.18.4 with driver updates and revision bumps.

  Update xf86-video-ati to 7.8.0
  Update xf86-video-intel to 2.99.917.20170103
  Update xf86-input-synaptics to 1.9.0
  Update xf86-input-evdev to 2.10.5
  Update xf86-video-r128 to 6.10.2
  Update xf86-video-rendition to 4.2.6
  New port: xf86-video-geode

  PR:		214591,216269,214687,214593,214715,216276,216277,216278,216287,
  		216288,216292,216298,214560,216299,216300,216301,216302
  Approved by:	swills (mentor, portmgr)
  Differential Revision:	https://reviews.freebsd.org/D9436

Changes:
  head/Mk/bsd.xorg.mk
  head/x11-drivers/Makefile
  head/x11-drivers/xf86-input-acecad/Makefile
  head/x11-drivers/xf86-input-egalax/Makefile
  head/x11-drivers/xf86-input-elographics/Makefile
  head/x11-drivers/xf86-input-evdev/Makefile
  head/x11-drivers/xf86-input-evdev/distinfo
  head/x11-drivers/xf86-input-evdev/files/patch-src_evdev.c
  head/x11-drivers/xf86-input-evdev/files/patch-src_evdev.h
  head/x11-drivers/xf86-input-fpit/Makefile
  head/x11-drivers/xf86-input-hyperpen/Makefile
  head/x11-drivers/xf86-input-keyboard/Makefile
  head/x11-drivers/xf86-input-mouse/Makefile
  head/x11-drivers/xf86-input-mutouch/Makefile
  head/x11-drivers/xf86-input-penmount/Makefile
  head/x11-drivers/xf86-input-synaptics/Makefile
  head/x11-drivers/xf86-input-synaptics/distinfo
  head/x11-drivers/xf86-input-synaptics/files/
  head/x11-drivers/xf86-input-synaptics/files/patch-src_eventcomm.c
  head/x11-drivers/xf86-input-synaptics/files/patch-src_eventcomm.h
  head/x11-drivers/xf86-input-synaptics/files/patch-src_synaptics.c
  head/x11-drivers/xf86-input-synaptics/pkg-plist
  head/x11-drivers/xf86-input-vmmouse/Makefile
  head/x11-drivers/xf86-input-void/Makefile
  head/x11-drivers/xf86-input-wacom/Makefile
  head/x11-drivers/xf86-video-amdgpu/Makefile
  head/x11-drivers/xf86-video-apm/Makefile
  head/x11-drivers/xf86-video-ark/Makefile
  head/x11-drivers/xf86-video-ati/Makefile
  head/x11-drivers/xf86-video-ati/distinfo
  head/x11-drivers/xf86-video-ati/files/patch-git_f11531c
  head/x11-drivers/xf86-video-ati/files/patch-src__radeon_dri2.c
  head/x11-drivers/xf86-video-ati/files/patch-src__radeon_kms.c
  head/x11-drivers/xf86-video-ati/files/patch-src_radeon_accel.c
  head/x11-drivers/xf86-video-chips/Makefile
  head/x11-drivers/xf86-video-geode/
  head/x11-drivers/xf86-video-geode/Makefile
  head/x11-drivers/xf86-video-geode/distinfo
  head/x11-drivers/xf86-video-geode/pkg-descr
  head/x11-drivers/xf86-video-geode/pkg-plist
  head/x11-drivers/xf86-video-glint/Makefile
  head/x11-drivers/xf86-video-i128/Makefile
  head/x11-drivers/xf86-video-i128/files/patch-src_i128__driver.c
  head/x11-drivers/xf86-video-i740/Makefile
  head/x11-drivers/xf86-video-intel/Makefile
  head/x11-drivers/xf86-video-intel/distinfo
  head/x11-drivers/xf86-video-intel/files/patch-clang
  head/x11-drivers/xf86-video-intel/files/patch-i915kms
  head/x11-drivers/xf86-video-intel/files/patch-src__sna__sna_accel.c
  head/x11-drivers/xf86-video-intel/files/patch-src__sna__sna_threads.c
  head/x11-drivers/xf86-video-intel/files/patch-src__uxa__intel_driver.c
  head/x11-drivers/xf86-video-intel/files/patch-src_compat-api.h
  head/x11-drivers/xf86-video-intel/files/patch-src_intel__device.c
  head/x11-drivers/xf86-video-intel/files/patch-src_intel__list.h
  head/x11-drivers/xf86-video-intel/files/patch-src_sna__sna_threads.c
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_fb_fbpict.c
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_kgem.c
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_sna__composite.c
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_sna__driver.c
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_sna__trapezoids.c
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_sna__video.c
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_sna__video.h
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_sna__video__overlay.c
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_sna__video__sprite.c
  head/x11-drivers/xf86-video-intel/files/patch-src_sna_sna__video__textured.c
  head/x11-drivers/xf86-video-intel/pkg-descr
  head/x11-drivers/xf86-video-mach64/Makefile
  head/x11-drivers/xf86-video-mga/Makefile
  head/x11-drivers/xf86-video-neomagic/Makefile
  head/x11-drivers/xf86-video-neomagic/files/
  head/x11-drivers/xf86-video-neomagic/files/patch-src_neo__driver.c
  head/x11-drivers/xf86-video-nv/Makefile
  head/x11-drivers/xf86-video-openchrome/Makefile
  head/x11-drivers/xf86-video-r128/Makefile
  head/x11-drivers/xf86-video-r128/distinfo
  head/x11-drivers/xf86-video-r128/files/
  head/x11-drivers/xf86-video-r128/files/patch-src_r128__dri.c
  head/x11-drivers/xf86-video-rendition/Makefile
  head/x11-drivers/xf86-video-rendition/distinfo
  head/x11-drivers/xf86-video-rendition/files/patch-src_rendition.c
  head/x11-drivers/xf86-video-rendition/files/patch-src_rendition.h
  head/x11-drivers/xf86-video-s3/Makefile
  head/x11-drivers/xf86-video-s3virge/Makefile
  head/x11-drivers/xf86-video-savage/Makefile
  head/x11-drivers/xf86-video-scfb/Makefile
  head/x11-drivers/xf86-video-scfb/files/patch-src_scfb__driver.c
  head/x11-drivers/xf86-video-siliconmotion/Makefile
  head/x11-drivers/xf86-video-sunffb/Makefile
  head/x11-drivers/xf86-video-tdfx/Makefile
  head/x11-drivers/xf86-video-trident/Makefile
  head/x11-drivers/xf86-video-tseng/Makefile
  head/x11-drivers/xf86-video-vesa/Makefile
  head/x11-drivers/xf86-video-vmware/Makefile
  head/x11-drivers/xf86-video-voodoo/Makefile
  head/x11-drivers/xf86-video-voodoo/files/patch-src_voodoo.h
  head/x11-drivers/xf86-video-voodoo/files/patch-src_voodoo__driver.c
  head/x11-drivers/xf86-video-voodoo/files/patch-src_voodoo__hardware.c
  head/x11-drivers/xorg-drivers/Makefile
  head/x11-servers/xephyr/Makefile
  head/x11-servers/xephyr/distinfo
  head/x11-servers/xorg-dmx/Makefile
  head/x11-servers/xorg-dmx/distinfo
  head/x11-servers/xorg-nestserver/Makefile
  head/x11-servers/xorg-server/Makefile
  head/x11-servers/xorg-server/distinfo
  head/x11-servers/xorg-server/files/extra-arch-i386
  head/x11-servers/xorg-server/files/extra-arch-ia64
  head/x11-servers/xorg-server/files/extra-arch-powerpc
  head/x11-servers/xorg-server/files/extra-arch-sparc64
  head/x11-servers/xorg-server/files/patch-Xserver-hw-xfree86-os-support-bsd-i386_video.c
  head/x11-servers/xorg-server/files/patch-Xserver-hw-xfree86-os-support-misc-Makefile.in
  head/x11-servers/xorg-server/files/patch-config_config-backends.h
  head/x11-servers/xorg-server/files/patch-config_config.c
  head/x11-servers/xorg-server/files/patch-config_devd.c
  head/x11-servers/xorg-server/files/patch-configure
  head/x11-servers/xorg-server/files/patch-hw_xfree86_common_xf86AutoConfig.c
  head/x11-servers/xorg-server/files/patch-hw_xfree86_common_xf86Config.c
  head/x11-servers/xorg-server/files/patch-hw_xfree86_common_xf86Globals.c
  head/x11-servers/xorg-server/files/patch-hw_xfree86_common_xf86Xinput.c
  head/x11-servers/xorg-server/files/patch-hw_xfree86_os-support_bsd_bsd__init.c
  head/x11-servers/xorg-server/files/patch-hw_xfree86_os-support_bsd_i386__video.c
  head/x11-servers/xorg-server/files/patch-hw_xfree86_os-support_bsd_ppc__video.c
  head/x11-servers/xorg-server/files/patch-xkb_Makefile.in
  head/x11-servers/xorg-server/pkg-plist
  head/x11-servers/xorg-vfbserver/Makefile
Comment 11 rozhuk.im 2017-02-12 02:33:47 UTC
servers/xorg-server/work/stage/usr/local/lib/xorg/modules/extensions/.xorg/
====> Compressing man pages (compress-man)
===>  Installing for xorg-server-1.18.4,1
===>   Registering installation for xorg-server-1.18.4,1
pkg-static: Unable to access file /tmp/ports/usr/ports/x11-servers/xorg-server/work/stage/usr/local/libdata/pkgconfig/xorg-server.pc: No such file or directory
*** Error code 74

please return to x11-servers/xorg-server/Makefile:

	@${MV} ${STAGEDIR}${PREFIX}/lib/pkgconfig/xorg-server.pc \
		${STAGEDIR}${PREFIX}/libdata/pkgconfig/xorg-server.pc

Also there is my patch: https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=196678
for proper devd integration in build process and support more devices.
Comment 12 lumiwa 2017-02-12 21:56:21 UTC
I did update to 1.18.4 and now it doesn't start anymore.
My graphics card:
vendor='Advanced Micro Devices, Inc. [AMD/ATI]
device="RV770/MP8L
[Mobility Radeon HD 4850}'

My system is FreeBSD 11-RELEASE (amd64) installed on iMac and it works from version 7 and desktop from 10. I didn't have any problem with previous versions of xorg-server.

And my xorg.log:
[  5938.010] 
X.Org X Server 1.18.4
Release Date: 2016-07-19
[  5938.010] X Protocol Version 11, Revision 0
[  5938.010] Build Operating System: FreeBSD 11.0-SYNTH amd64 
[  5938.010] Current Operating System: FreeBSD lumiwa.farm.net 11.0-RELEASE-p2 FreeBSD 11.0-RELEASE-p2 #0: Mon Oct 24 06:55:27 UTC 2016     root@amd64-builder.daemonology.net:/usr/obj/usr/src/sys/GENERIC amd64
[  5938.011] Build Date: 12 February 2017  12:57:43PM
[  5938.011]  
[  5938.011] Current version of pixman: 0.34.0
[  5938.011] 	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
[  5938.011] Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
[  5938.011] (==) Log file: "/var/log/Xorg.0.log", Time: Sun Feb 12 15:37:41 2017
[  5938.011] (II) Loader magic: 0x813b60
[  5938.011] (II) Module ABI versions:
[  5938.011] 	X.Org ANSI C Emulation: 0.4
[  5938.011] 	X.Org Video Driver: 20.0
[  5938.011] 	X.Org XInput driver : 22.1
[  5938.011] 	X.Org Server Extension : 9.0
[  5938.011] (--) PCI:*(0:1:0:0) 1002:944a:106b:00b5 rev 0, Mem @ 0xc0000000/268435456, 0xd0620000/65536, I/O @ 0x00002000/256, BIOS @ 0x????????/65536
[  5938.011] (==) Using default built-in configuration (39 lines)
[  5938.011] (==) --- Start of built-in configuration ---
[  5938.011] 	Section "Device"
[  5938.011] 		Identifier	"Builtin Default ati Device 0"
[  5938.011] 		Driver	"ati"
[  5938.011] 	EndSection
[  5938.011] 	Section "Screen"
[  5938.011] 		Identifier	"Builtin Default ati Screen 0"
[  5938.011] 		Device	"Builtin Default ati Device 0"
[  5938.011] 	EndSection
[  5938.011] 	Section "Device"
[  5938.011] 		Identifier	"Builtin Default modesetting Device 0"
[  5938.011] 		Driver	"modesetting"
[  5938.011] 	EndSection
[  5938.011] 	Section "Screen"
[  5938.012] 		Identifier	"Builtin Default modesetting Screen 0"
[  5938.012] 		Device	"Builtin Default modesetting Device 0"
[  5938.012] 	EndSection
[  5938.012] 	Section "Device"
[  5938.012] 		Identifier	"Builtin Default scfb Device 0"
[  5938.012] 		Driver	"scfb"
[  5938.012] 	EndSection
[  5938.012] 	Section "Screen"
[  5938.012] 		Identifier	"Builtin Default scfb Screen 0"
[  5938.012] 		Device	"Builtin Default scfb Device 0"
[  5938.012] 	EndSection
[  5938.012] 	Section "Device"
[  5938.012] 		Identifier	"Builtin Default vesa Device 0"
[  5938.012] 		Driver	"vesa"
[  5938.012] 	EndSection
[  5938.012] 	Section "Screen"
[  5938.012] 		Identifier	"Builtin Default vesa Screen 0"
[  5938.012] 		Device	"Builtin Default vesa Device 0"
[  5938.012] 	EndSection
[  5938.012] 	Section "ServerLayout"
[  5938.012] 		Identifier	"Builtin Default Layout"
[  5938.012] 		Screen	"Builtin Default ati Screen 0"
[  5938.012] 		Screen	"Builtin Default modesetting Screen 0"
[  5938.012] 		Screen	"Builtin Default scfb Screen 0"
[  5938.012] 		Screen	"Builtin Default vesa Screen 0"
[  5938.012] 	EndSection
[  5938.012] (==) --- End of built-in configuration ---
[  5938.012] (==) ServerLayout "Builtin Default Layout"
[  5938.012] (**) |-->Screen "Builtin Default ati Screen 0" (0)
[  5938.012] (**) |   |-->Monitor "<default monitor>"
[  5938.012] (**) |   |-->Device "Builtin Default ati Device 0"
[  5938.012] (==) No monitor specified for screen "Builtin Default ati Screen 0".
	Using a default monitor configuration.
[  5938.012] (**) |-->Screen "Builtin Default modesetting Screen 0" (1)
[  5938.012] (**) |   |-->Monitor "<default monitor>"
[  5938.012] (**) |   |-->Device "Builtin Default modesetting Device 0"
[  5938.012] (==) No monitor specified for screen "Builtin Default modesetting Screen 0".
	Using a default monitor configuration.
[  5938.012] (**) |-->Screen "Builtin Default scfb Screen 0" (2)
[  5938.012] (**) |   |-->Monitor "<default monitor>"
[  5938.013] (**) |   |-->Device "Builtin Default scfb Device 0"
[  5938.013] (==) No monitor specified for screen "Builtin Default scfb Screen 0".
	Using a default monitor configuration.
[  5938.013] (**) |-->Screen "Builtin Default vesa Screen 0" (3)
[  5938.013] (**) |   |-->Monitor "<default monitor>"
[  5938.013] (**) |   |-->Device "Builtin Default vesa Device 0"
[  5938.013] (==) No monitor specified for screen "Builtin Default vesa Screen 0".
	Using a default monitor configuration.
[  5938.013] (==) Automatically adding devices
[  5938.013] (==) Automatically enabling devices
[  5938.013] (==) Not automatically adding GPU devices
[  5938.013] (==) Max clients allowed: 256, resource mask: 0x1fffff
[  5938.013] (==) FontPath set to:
	/usr/local/share/fonts/misc/,
	/usr/local/share/fonts/TTF/,
	/usr/local/share/fonts/OTF/,
	/usr/local/share/fonts/Type1/,
	/usr/local/share/fonts/100dpi/,
	/usr/local/share/fonts/75dpi/
[  5938.013] (==) ModulePath set to "/usr/local/lib/xorg/modules"
[  5938.013] (II) The server relies on devd to provide the list of input devices.
	If no devices become available, reconfigure devd or disable AutoAddDevices.
[  5938.013] (II) LoadModule: "glx"
[  5938.013] (II) Loading /usr/local/lib/xorg/modules/extensions/libglx.so
[  5938.016] (II) Module glx: vendor="X.Org Foundation"
[  5938.016] 	compiled for 1.18.4, module version = 1.0.0
[  5938.016] 	ABI class: X.Org Server Extension, version 9.0
[  5938.016] (==) AIGLX enabled
[  5938.016] (II) LoadModule: "ati"
[  5938.016] (II) Loading /usr/local/lib/xorg/modules/drivers/ati_drv.so
[  5938.016] (II) Module ati: vendor="X.Org Foundation"
[  5938.016] 	compiled for 1.18.4, module version = 7.8.0
[  5938.016] 	Module class: X.Org Video Driver
[  5938.016] 	ABI class: X.Org Video Driver, version 20.0
[  5938.016] (II) LoadModule: "radeon"
[  5938.016] (II) Loading /usr/local/lib/xorg/modules/drivers/radeon_drv.so
[  5938.017] (II) Module radeon: vendor="X.Org Foundation"
[  5938.017] 	compiled for 1.18.4, module version = 7.8.0
[  5938.017] 	Module class: X.Org Video Driver
[  5938.017] 	ABI class: X.Org Video Driver, version 20.0
[  5938.017] (II) LoadModule: "modesetting"
[  5938.017] (II) Loading /usr/local/lib/xorg/modules/drivers/modesetting_drv.so
[  5938.017] (II) Module modesetting: vendor="X.Org Foundation"
[  5938.017] 	compiled for 1.18.4, module version = 1.18.4
[  5938.017] 	Module class: X.Org Video Driver
[  5938.017] 	ABI class: X.Org Video Driver, version 20.0
[  5938.017] (II) LoadModule: "scfb"
[  5938.017] (II) Loading /usr/local/lib/xorg/modules/drivers/scfb_drv.so
[  5938.017] (II) Module scfb: vendor="X.Org Foundation"
[  5938.017] 	compiled for 1.18.4, module version = 0.0.4
[  5938.017] 	ABI class: X.Org Video Driver, version 20.0
[  5938.017] (II) LoadModule: "vesa"
[  5938.018] (II) Loading /usr/local/lib/xorg/modules/drivers/vesa_drv.so
[  5938.018] (II) Module vesa: vendor="X.Org Foundation"
[  5938.018] 	compiled for 1.18.4, module version = 2.3.4
[  5938.018] 	Module class: X.Org Video Driver
[  5938.018] 	ABI class: X.Org Video Driver, version 20.0
[  5938.018] (II) RADEON: Driver for ATI/AMD Radeon chipsets:
	ATI Radeon Mobility X600 (M24), ATI FireMV 2400,
	ATI Radeon Mobility X300 (M24), ATI FireGL M24 GL,
	ATI Radeon X600 (RV380), ATI FireGL V3200 (RV380),
	ATI Radeon IGP320 (A3), ATI Radeon IGP330/340/350 (A4),
	ATI Radeon 9500, ATI Radeon 9600TX, ATI FireGL Z1, ATI Radeon 9800SE,
	ATI Radeon 9800, ATI FireGL X2, ATI Radeon 9600, ATI Radeon 9600SE,
	ATI Radeon 9600XT, ATI FireGL T2, ATI Radeon 9650, ATI FireGL RV360,
	ATI Radeon 7000 IGP (A4+), ATI Radeon 8500 AIW,
	ATI Radeon IGP320M (U1), ATI Radeon IGP330M/340M/350M (U2),
	ATI Radeon Mobility 7000 IGP, ATI Radeon 9000/PRO, ATI Radeon 9000,
	ATI Radeon X800 (R420), ATI Radeon X800PRO (R420),
	ATI Radeon X800SE (R420), ATI FireGL X3 (R420),
	ATI Radeon Mobility 9800 (M18), ATI Radeon X800 SE (R420),
	ATI Radeon X800XT (R420), ATI Radeon X800 VE (R420),
	ATI Radeon X850 (R480), ATI Radeon X850 XT (R480),
	ATI Radeon X850 SE (R480), ATI Radeon X850 PRO (R480),
	ATI Radeon X850 XT PE (R480), ATI Radeon Mobility M7,
	ATI Mobility FireGL 7800 M7, ATI Radeon Mobility M6,
	ATI FireGL Mobility 9000 (M9), ATI Radeon Mobility 9000 (M9),
	ATI Radeon 9700 Pro, ATI Radeon 9700/9500Pro, ATI FireGL X1,
	ATI Radeon 9800PRO, ATI Radeon 9800XT,
	ATI Radeon Mobility 9600/9700 (M10/M11),
	ATI Radeon Mobility 9600 (M10), ATI Radeon Mobility 9600 (M11),
	ATI FireGL Mobility T2 (M10), ATI FireGL Mobility T2e (M11),
	ATI Radeon, ATI FireGL 8700/8800, ATI Radeon 8500, ATI Radeon 9100,
	ATI Radeon 7500, ATI Radeon VE/7000, ATI ES1000,
	ATI Radeon Mobility X300 (M22), ATI Radeon Mobility X600 SE (M24C),
	ATI FireGL M22 GL, ATI Radeon X800 (R423), ATI Radeon X800PRO (R423),
	ATI Radeon X800LE (R423), ATI Radeon X800SE (R423),
	ATI Radeon X800 XTP (R430), ATI Radeon X800 XL (R430),
	ATI Radeon X800 SE (R430), ATI Radeon X800 (R430),
	ATI FireGL V7100 (R423), ATI FireGL V5100 (R423),
	ATI FireGL unknown (R423), ATI Mobility FireGL V5000 (M26),
	ATI Mobility Radeon X700 XL (M26), ATI Mobility Radeon X700 (M26),
	ATI Radeon X550XTX, ATI Radeon 9100 IGP (A5),
	ATI Radeon Mobility 9100 IGP (U3), ATI Radeon XPRESS 200,
	ATI Radeon XPRESS 200M, ATI Radeon 9250, ATI Radeon 9200,
	ATI Radeon 9200SE, ATI FireMV 2200, ATI Radeon X300 (RV370),
	ATI Radeon X600 (RV370), ATI Radeon X550 (RV370),
	ATI FireGL V3100 (RV370), ATI FireMV 2200 PCIE (RV370),
	ATI Radeon Mobility 9200 (M9+), ATI Mobility Radeon X800 XT (M28),
	ATI Mobility FireGL V5100 (M28), ATI Mobility Radeon X800 (M28),
	ATI Radeon X850, ATI unknown Radeon / FireGL (R480),
	ATI Radeon X800XT (R423), ATI FireGL V5000 (RV410),
	ATI Radeon X700 XT (RV410), ATI Radeon X700 PRO (RV410),
	ATI Radeon X700 SE (RV410), ATI Radeon X700 (RV410),
	ATI Radeon X1800, ATI Mobility Radeon X1800 XT,
	ATI Mobility Radeon X1800, ATI Mobility FireGL V7200,
	ATI FireGL V7200, ATI FireGL V5300, ATI Mobility FireGL V7100,
	ATI FireGL V7300, ATI FireGL V7350, ATI Radeon X1600, ATI RV505,
	ATI Radeon X1300/X1550, ATI Radeon X1550, ATI M54-GL,
	ATI Mobility Radeon X1400, ATI Radeon X1550 64-bit,
	ATI Mobility Radeon X1300, ATI Radeon X1300, ATI FireGL V3300,
	ATI FireGL V3350, ATI Mobility Radeon X1450,
	ATI Mobility Radeon X2300, ATI Mobility Radeon X1350,
	ATI FireMV 2250, ATI Radeon X1650, ATI Mobility FireGL V5200,
	ATI Mobility Radeon X1600, ATI Radeon X1300 XT/X1600 Pro,
	ATI FireGL V3400, ATI Mobility FireGL V5250,
	ATI Mobility Radeon X1700, ATI Mobility Radeon X1700 XT,
	ATI FireGL V5200, ATI Radeon X2300HD, ATI Mobility Radeon HD 2300,
	ATI Radeon X1950, ATI Radeon X1900, ATI AMD Stream Processor,
	ATI RV560, ATI Mobility Radeon X1900, ATI Radeon X1950 GT, ATI RV570,
	ATI FireGL V7400, ATI Radeon 9100 PRO IGP,
	ATI Radeon Mobility 9200 IGP, ATI Radeon X1200, ATI RS740,
	ATI RS740M, ATI Radeon HD 2900 XT, ATI Radeon HD 2900 Pro,
	ATI Radeon HD 2900 GT, ATI FireGL V8650, ATI FireGL V8600,
	ATI FireGL V7600, ATI Radeon 4800 Series, ATI Radeon HD 4870 x2,
	ATI Radeon HD 4850 x2, ATI FirePro V8750 (FireGL),
	ATI FirePro V7760 (FireGL), ATI Mobility RADEON HD 4850,
	ATI Mobility RADEON HD 4850 X2, ATI FirePro RV770,
	AMD FireStream 9270, AMD FireStream 9250, ATI FirePro V8700 (FireGL),
	ATI Mobility RADEON HD 4870, ATI Mobility RADEON M98,
	ATI FirePro M7750, ATI M98, ATI Mobility Radeon HD 4650,
	ATI Radeon RV730 (AGP), ATI Mobility Radeon HD 4670,
	ATI FirePro M5750, ATI RV730XT [Radeon HD 4670], ATI RADEON E4600,
	ATI Radeon HD 4600 Series, ATI RV730 PRO [Radeon HD 4650],
	ATI FirePro V7750 (FireGL), ATI FirePro V5700 (FireGL),
	ATI FirePro V3750 (FireGL), ATI Mobility Radeon HD 4830,
	ATI Mobility Radeon HD 4850, ATI FirePro M7740, ATI RV740,
	ATI Radeon HD 4770, ATI Radeon HD 4700 Series, ATI RV610,
	ATI Radeon HD 2400 XT, ATI Radeon HD 2400 Pro,
	ATI Radeon HD 2400 PRO AGP, ATI FireGL V4000, ATI Radeon HD 2350,
	ATI Mobility Radeon HD 2400 XT, ATI Mobility Radeon HD 2400,
	ATI RADEON E2400, ATI FireMV 2260, ATI RV670, ATI Radeon HD3870,
	ATI Mobility Radeon HD 3850, ATI Radeon HD3850,
	ATI Mobility Radeon HD 3850 X2, ATI Mobility Radeon HD 3870,
	ATI Mobility Radeon HD 3870 X2, ATI Radeon HD3870 X2,
	ATI FireGL V7700, ATI Radeon HD3690, AMD Firestream 9170,
	ATI Radeon HD 4550, ATI Radeon RV710, ATI Radeon HD 4350,
	ATI Mobility Radeon 4300 Series, ATI Mobility Radeon 4500 Series,
	ATI FirePro RG220, ATI Mobility Radeon 4330, ATI RV630,
	ATI Mobility Radeon HD 2600, ATI Mobility Radeon HD 2600 XT,
	ATI Radeon HD 2600 XT AGP, ATI Radeon HD 2600 Pro AGP,
	ATI Radeon HD 2600 XT, ATI Radeon HD 2600 Pro, ATI Gemini RV630,
	ATI Gemini Mobility Radeon HD 2600 XT, ATI FireGL V5600,
	ATI FireGL V3600, ATI Radeon HD 2600 LE,
	ATI Mobility FireGL Graphics Processor, ATI Radeon HD 3470,
	ATI Mobility Radeon HD 3430, ATI Mobility Radeon HD 3400 Series,
	ATI Radeon HD 3450, ATI Radeon HD 3430, ATI FirePro V3700,
	ATI FireMV 2450, ATI Radeon HD 3600 Series, ATI Radeon HD 3650 AGP,
	ATI Radeon HD 3600 PRO, ATI Radeon HD 3600 XT,
	ATI Mobility Radeon HD 3650, ATI Mobility Radeon HD 3670,
	ATI Mobility FireGL V5700, ATI Mobility FireGL V5725,
	ATI Radeon HD 3200 Graphics, ATI Radeon 3100 Graphics,
	ATI Radeon HD 3300 Graphics, ATI Radeon 3000 Graphics, SUMO, SUMO2,
	ATI Radeon HD 4200, ATI Radeon 4100, ATI Mobility Radeon HD 4200,
	ATI Mobility Radeon 4100, ATI Radeon HD 4290, ATI Radeon HD 4250,
	AMD Radeon HD 6310 Graphics, AMD Radeon HD 6250 Graphics,
	AMD Radeon HD 6300 Series Graphics,
	AMD Radeon HD 6200 Series Graphics, PALM, CYPRESS,
	ATI FirePro (FireGL) Graphics Adapter, AMD Firestream 9370,
	AMD Firestream 9350, ATI Radeon HD 5800 Series,
	ATI Radeon HD 5900 Series, ATI Mobility Radeon HD 5800 Series,
	ATI Radeon HD 5700 Series, ATI Radeon HD 6700 Series,
	ATI Mobility Radeon HD 5000 Series, ATI Mobility Radeon HD 5570,
	ATI Radeon HD 5670, ATI Radeon HD 5570, ATI Radeon HD 5500 Series,
	REDWOOD, ATI Mobility Radeon Graphics, CEDAR, ATI FirePro 2270,
	ATI Radeon HD 5450, CAYMAN, AMD Radeon HD 6900 Series,
	AMD Radeon HD 6900M Series, Mobility Radeon HD 6000 Series, BARTS,
	AMD Radeon HD 6800 Series, AMD Radeon HD 6700 Series, TURKS, CAICOS,
	ARUBA, TAHITI, PITCAIRN, VERDE, OLAND, HAINAN, BONAIRE, KABINI,
	MULLINS, KAVERI, HAWAII
[  5938.022] (II) modesetting: Driver for Modesetting Kernel Drivers: kms
[  5938.022] (II) scfb: driver for wsdisplay framebuffer: scfb
[  5938.022] (II) VESA: driver for VESA chipsets: vesa
[  5938.058] (--) Using syscons driver with X support (version 16777218.0)
[  5938.058] (--) using VT number 9

[  5938.058] (II) [KMS] Kernel modesetting enabled.
[  5938.058] (WW) Falling back to old probe method for modesetting
[  5938.059] (WW) Falling back to old probe method for scfb
[  5938.059] scfb trace: probe start
[  5938.059] scfb trace: probe done
[  5938.059] (WW) Falling back to old probe method for vesa
[  5938.059] (WW) VGA arbiter: cannot open kernel arbiter, no multi-card support
[  5938.059] (II) RADEON(0): Creating default Display subsection in Screen section
	"Builtin Default ati Screen 0" for depth/fbbpp 24/32
[  5938.059] (==) RADEON(0): Depth 24, (--) framebuffer bpp 32
[  5938.059] (II) RADEON(0): Pixel depth = 24 bits stored in 4 bytes (32 bpp pixmaps)
[  5938.059] (==) RADEON(0): Default visual is TrueColor
[  5938.059] (==) RADEON(0): RGB weight 888
[  5938.059] (II) RADEON(0): Using 8 bits per RGB (8 bit DAC)
[  5938.059] (--) RADEON(0): Chipset: "ATI Mobility RADEON HD 4850" (ChipID = 0x944a)
[  5938.060] (II) Loading sub module "fb"
[  5938.060] (II) LoadModule: "fb"
[  5938.060] (II) Loading /usr/local/lib/xorg/modules/libfb.so
[  5938.061] (II) Module fb: vendor="X.Org Foundation"
[  5938.061] 	compiled for 1.18.4, module version = 1.0.0
[  5938.061] 	ABI class: X.Org ANSI C Emulation, version 0.4
[  5938.061] (II) Loading sub module "dri2"
[  5938.061] (II) LoadModule: "dri2"
[  5938.061] (II) Module "dri2" already built-in
[  5938.061] (II) Loading sub module "glamoregl"
[  5938.061] (II) LoadModule: "glamoregl"
[  5938.061] (II) Loading /usr/local/lib/xorg/modules/libglamoregl.so
[  5938.093] (II) Module glamoregl: vendor="X.Org Foundation"
[  5938.093] 	compiled for 1.18.4, module version = 1.0.0
[  5938.093] 	ABI class: X.Org ANSI C Emulation, version 0.4
[  5938.093] (II) glamor: OpenGL accelerated X.org driver based.
[  5938.321] (EE) 
[  5938.321] (EE) Backtrace:
[  5938.322] (EE) 0: /usr/local/bin/X (OsInit+0x38a) [0x5abfba]
[  5938.322] (EE) 1: /lib/libthr.so.3 (_pthread_sigmask+0x50d) [0x802daebbd]
[  5938.323] (EE) 2: /lib/libthr.so.3 (_pthread_getspecific+0xe9f) [0x802daeacf]
[  5938.324] (EE) 3: ? (?+0xe9f) [0x800000000032]
[  5938.325] (EE) 4: /usr/local/llvm39/lib/libLLVM-3.9.so (_ZN4llvm13StringMapImpl15LookupBucketForENS_9StringRefE+0x99) [0x8098c02e9]
[  5938.325] (EE) 5: /usr/local/llvm39/lib/libLLVM-3.9.so (LLVMParseCommandLineOptions+0x7cf) [0x80988497f]
[  5938.326] (EE) 6: /usr/local/llvm39/lib/libLLVM-3.9.so (LLVMParseCommandLineOptions+0x92c) [0x809884c1c]
[  5938.327] (EE) 7: /usr/local/llvm39/lib/libLLVM-3.9.so (_ZN4llvm2cl6Option11addArgumentEv+0x7c) [0x809878dec]
[  5938.328] (EE) 8: /usr/local/llvm34/lib/libLLVM-3.4.so (_ZN4llvm16PPCTargetMachine17addAnalysisPassesERNS_6legacy15PassManagerBaseE+0x262) [0x80e5e4ad2]
[  5938.329] (EE) 9: /usr/local/llvm34/lib/libLLVM-3.4.so (LLVMInitializeARMTargetInfo+0x122) [0x80e5eaa84]
[  5938.330] (EE) 10: /usr/local/llvm34/lib/libLLVM-3.4.so (_init+0xe) [0x80d967d44]
[  5938.331] (EE) 11: ? (_rtld_is_dlopened+0x1532) [0x80081a3e2]
[  5938.331] (EE) 12: ? (dlopen+0x191) [0x800816311]
[  5938.332] (EE) 13: /usr/local/lib/libgbm.so.1 (gbm_surface_has_free_buffers+0xf1d) [0x807df55dd]
[  5938.333] (EE) 14: /usr/local/lib/libgbm.so.1 (gbm_surface_has_free_buffers+0xbfb) [0x807df506b]
[  5938.333] (EE) 15: /usr/local/lib/libgbm.so.1 (gbm_surface_has_free_buffers+0x11a) [0x807df39ca]
[  5938.334] (EE) 16: /usr/local/lib/libgbm.so.1 (gbm_create_device+0x39) [0x807df3629]
[  5938.335] (EE) 17: /usr/local/lib/xorg/modules/libglamoregl.so (glamor_egl_init+0x82) [0x807bc7542]
[  5938.335] (EE) 18: /usr/local/lib/xorg/modules/drivers/radeon_drv.so (_init+0x52b22) [0x806faa7c2]
[  5938.336] (EE) 19: /usr/local/lib/xorg/modules/drivers/radeon_drv.so (_init+0x45ae7) [0x806f900e7]
[  5938.337] (EE) 20: /usr/local/bin/X (InitOutput+0xa7f) [0x47f35f]
[  5938.338] (EE) 21: /usr/local/bin/X (remove_fs_handlers+0x38b) [0x43b48b]
[  5938.338] (EE) 22: /usr/local/bin/X (_start+0x17f) [0x42506f]
[  5938.339] (EE) 23: ? (?+0x17f) [0x80083817f]
[  5938.339] (EE) 
[  5938.339] (EE) Segmentation fault at address 0x0
[  5938.339] (EE) 
Fatal server error:
[  5938.339] (EE) Caught signal 11 (Segmentation fault). Server aborting
[  5938.339] (EE) 
[  5938.339] (EE) 
Please consult the The X.Org Foundation support 
	 at http://wiki.x.org
 for help. 
[  5938.339] (EE) Please also check the log file at "/var/log/Xorg.0.log" for additional information.
[  5938.339] (EE) 
[  5938.339] (EE) Server terminated with error (1). Closing log file.
Comment 13 Baptiste Daroussin freebsd_committer 2017-02-13 17:31:27 UTC
This is due to bad rebuild (are you using portmaster/portupgrade?)
If yes please rebuild again the entire graphic stack which is known to be badly rebuilt with those 2 tools
Comment 14 dybnu 2017-02-14 04:54:57 UTC
I have to kldload i195kms manually to startx after upgrade.